apiVersion: apps/v1
kind: DaemonSet
metadata:
  name: formatter
  labels:
    k8s-app: formatter
spec:
  selector:
    matchLabels:
      name: formatter
  template:
    metadata:
      labels:
        name: formatter
    spec:
      nodeSelector:
        formatter: "yes"
      hostname: formatter
      containers:
      - name: formatter
        imagePullPolicy: Always
        image: $FORMATTER_IMAGE
        env:
        - name: MY_NODE_NAME
          valueFrom:
            fieldRef:
              fieldPath: spec.nodeName
        - name: JAEGER_AGENT_HOST
          value: jaeger-agent
        # resources:
        #   limits:
        #     cpu: 300m
        #     memory: 100Mi
        #   requests:
        #     cpu: 100m
        #     memory: 40Mi
      terminationGracePeriodSeconds: 15
